#include <iostream>
#include <math.h>
using namespace std;
int niz [1000000];
int n,maxb=0,z=0,x=0,y=0,k=1,broj=0;
void funkcija(int i,int j)
{
    broj=0;
    z=niz[i];
    niz[i]=niz[j];
    niz[j]=z;
    k=pow(10,n-1);
    for(int r=0;r<n;r++)
    {
        broj+=niz[r]*k;
        k/=10;
    }
    if(broj>maxb)
    {
        maxb=broj;
        x=i;
        y=j;
    }
    z=niz[i];
    niz[i]=niz[j];
    niz[j]=z;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    cin>>n;
    for(int i=0;i<n;i++)
        cin>>niz[i];

    for(int i=0;i<n;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            funkcija(i,j);
        }
    }
    z=niz[x];
    niz[x]=niz[y];
    niz[y]=z;
    for(int i=0;i<n;i++)
        cout<<niz[i];
}